package im.zego.chathouse;

/**
 * 当您从 ZEGO 控制台申请到 APP_ID 和 APP_SIGN 之后，我们强烈建议您将其通过服务器下发到APP，而不是保存在代码当中，或者使用更安全的 Token 鉴权
 * 这里将其保存在代码当中，只是为了运行体验 App
 */
public class KeyCenter {
    // APP_ID：在 ZEGO 控制台创建项目后获取
    // 建议在 AppID 数字后面添加大写的L，避免编译错误
    public static final long APP_ID = YOUR_APP_ID;

    // APP_SIGN：在 ZEGO 控制台创建项目后获取
    public static final String APP_SIGN = YOUR_APP_SIGN;

    // BACKEND_API_URL: ZEGO 提供的业务后台地址
    // 仅用于跑通示例源码，请勿用于正式产品上线，若您需要上线正式产品，请自行搭建业务后台
    public static final String BACKEND_API_URL = "https://demo-server-sh.imzego.com";
}