package im.zego.chathouse.model;

import com.google.gson.annotations.SerializedName;

/**
 * 1v1特殊消息序列化类
 * @param <T>
 */
public class CommandData<T> {

    /**
     * 命令
     */
    @SerializedName("cmd")
    public int cmd;
    /**
     * 时间戳
     */
    @SerializedName("timestamp")
    public long timestamp;
    /**
     * 数据
     */
    @SerializedName("data")
    public T data;
}
