package im.zego.chathouse.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * 房间列表信息
 */
public class RoomListInfo {


    /**
     * 房间列表
     */
    @SerializedName("room_list")
    private List<RoomListDTO> roomList;

    public List<RoomListDTO> getRoomList() {
        return roomList;
    }

    public void setRoomList(List<RoomListDTO> roomList) {
        this.roomList = roomList;
    }

    public static class RoomListDTO {
        /**
         * 房间ID
         */
        @SerializedName("room_id")
        private String roomId;
        /**
         * 主题
         */
        @SerializedName("subject")
        private String subject;
        /**
         * 创建者ID
         */
        @SerializedName("creator_id")
        private String creatorId;
        /**
         * 在线人数
         */
        @SerializedName("online_count")
        private int onlineCount;
        /**
         * 封面图片
         */
        @SerializedName("cover_img")
        private String coverImg;
        /**
         * 创建时间
         */
        @SerializedName("create_time")
        private long createTime;

        public String getRoomId() {
            return roomId;
        }

        public void setRoomId(String roomId) {
            this.roomId = roomId;
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public String getCreatorId() {
            return creatorId;
        }

        public void setCreatorId(String creatorId) {
            this.creatorId = creatorId;
        }

        public int getOnlineCount() {
            return onlineCount;
        }

        public void setOnlineCount(int onlineCount) {
            this.onlineCount = onlineCount;
        }

        public String getCoverImg() {
            return coverImg;
        }

        public void setCoverImg(String coverImg) {
            this.coverImg = coverImg;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }
    }
}
