package im.zego.chathouse.room.help;


import org.json.JSONObject;


import im.zego.chathouse.room.RoomManager;
import im.zego.enjoycommon.log.L;

/**
 * ZIM文本消息辅助类
 */
public class ZIMMessageHelp {

    private static final String TAG = "ZIMTextMessageHelp";

    /**
     * 处理消息
     * @param messageText 消息文本
     */
    public static void disposeMessage(String messageText){
        if (messageText != null) {
            try {
                JSONObject jsonObject = new JSONObject(messageText);
                final int cmd = jsonObject.getInt("cmd");

                String dataJson = "";
                // 当data为null时会抛出异常
                try {
                    dataJson = jsonObject.getJSONObject("data").toString();
                }catch (Exception ignored){

                }

                if(RoomManager.getInstance().getRoomInitState() != RoomManager.RoomInitState.INIT_COMPLETED){
                    return;
                }


            } catch (Exception jsonException) {
                L.e(TAG,"disposeMessage Exception :" + jsonException);
                jsonException.printStackTrace();
            }

        }
    }

}
