package im.zego.chathouse.sdk.rtc.callbacks;

import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;

import im.zego.chathouse.sdk.constants.ConnectionState;
import im.zego.zegoexpress.constants.ZegoAudioRoute;
import im.zego.zegoexpress.constants.ZegoStreamQualityLevel;
import im.zego.zegoexpress.constants.ZegoUpdateType;
import im.zego.zegoexpress.entity.ZegoPlayStreamQuality;
import im.zego.zegoexpress.entity.ZegoPublishStreamQuality;
import im.zego.zegoexpress.entity.ZegoStream;

abstract public class RTCEventHandler implements IRTCEventCallback{


    @Override
    public void onSoundLevelUpdate(HashMap<String, Float> userVolumeMap) {

    }

    @Override
    public void onAudioRouteChange(ZegoAudioRoute zegoAudioRoute) {

    }

    @Override
    public void onPlayerQualityUpdate(String streamID, ZegoPlayStreamQuality quality) {

    }

    @Override
    public void onRoomStreamUpdate(String roomID, ZegoUpdateType updateType, ArrayList<ZegoStream> streamList, JSONObject extendedData) {

    }

    @Override
    public void onPublisherQualityUpdate(String streamID, ZegoPublishStreamQuality quality) {

    }

    @Override
    public void onNetworkSpeedTestQualityUpdate(ZegoStreamQualityLevel zegoStreamQualityLevel) {

    }

    @Override
    public void onUserNetQualityLevelUpdate(String userID, ZegoStreamQualityLevel zegoStreamQualityLevel) {

    }

    @Override
    public void onConnectionState(ConnectionState state) {

    }

    @Override
    public void onRemoteMicStateUpdate(String streamID, boolean open) {

    }

    @Override
    public void onMixSoundLevelUpdate(HashMap<Integer, Float> userVolumeMap) {

    }
}
