package im.zego.chathouse.utils;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.view.View;

import androidx.fragment.app.FragmentActivity;

public class ViewUtil {

    /**
     * 通过view获取Activity
     * @return Activity
     */
    public static  FragmentActivity getActivity(View view) {

        if(view == null){
            return null;
        }

        Context context = view.getContext();
        while (context instanceof ContextWrapper) {
            if (context instanceof Activity) {
                return (FragmentActivity) context;
            }
            context = ((ContextWrapper) context).getBaseContext();
        }
        return null;

    }
}
