package im.zego.chathouse.model;

import com.google.gson.annotations.SerializedName;

/**
 * 邀请附加信息序列化类
 * @param <T>
 */
public class CallData<T> {

    /**
     * 命令
     */
    @SerializedName("cmd")
    public int cmd;

    /**
     * 房间ID
     */
    @SerializedName("room_id")
    public String roomID;
    /**
     * 数据
     */
    @SerializedName("data")
    public T data;
}
