package im.zego.chathouse.model;

import com.google.gson.annotations.SerializedName;

/**
 * 房间信息
 */
public class RoomInfo {

    /**
     * 用户ID
     */
    @SerializedName("uid")
    private String uid;
    /**
     * 房间ID
     */
    @SerializedName("room_id")
    private String roomId;
    /**
     * 主题
     */
    @SerializedName("subject")
    private String subject;
    /**
     * 创建者ID
     */
    @SerializedName("creator_id")
    private String creatorId;
    /**
     * 在线人数
     */
    @SerializedName("online_count")
    private int onlineCount;
    /**
     * 房间封面
     */
    @SerializedName("cover_img")
    private String coverImg;
    /**
     * 创建时间
     */
    @SerializedName("create_time")
    private long createTime;
    /**
     * 最大麦位
     */
    @SerializedName("max_mic")
    private int maxMic;

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }


    public int getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(int onlineCount) {
        this.onlineCount = onlineCount;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public int getMaxMic() {
        return maxMic;
    }

    public void setMaxMic(int maxMic) {
        this.maxMic = maxMic;
    }
}
