package im.zego.chathouse.room.service;

import im.zego.chathouse.model.RoomInfo;

/**
 * 房间信息服务
 */
public class RoomInfoService {

    /**
     * 房间ID
     */
    private final String mRoomID;
    /**
     * 房间信息
     */
    private RoomInfo mRoomInfo;

    public RoomInfoService(String roomID){
        mRoomID = roomID;
    }

    public String getRoomID() {
        return mRoomID;
    }

    public RoomInfo getRoomInfo() {
        return mRoomInfo;
    }

    public void setRoomInfo(RoomInfo roomInfo) {
        this.mRoomInfo = roomInfo;
    }
}
