package im.zego.chathouse.room.service.callback;

import im.zego.chathouse.model.User;

/**
 * 用户部分属性变更回调
 */
public abstract class UserServiceHandler {

    /**
     * 用户状态属性变更时回调
     * @param user 用户
     */
    public void onUserStatusChange(User user){

    }

    /**
     * 用户麦克风属性变更时回调
     * @param user 用户
     */
    public void onUserMicChange(User user){

    }

}
