package im.zego.chathouse.sdk.rtc;

import im.zego.chathouse.sdk.rtc.callbacks.RTCEventHandler;

abstract public class RTCEventHandlerWrap extends RTCEventHandler implements Comparable<RTCEventHandlerWrap>{

    public static final int DATA_PRIORITY = 1000;
    public static final int CONNECTION_STATE = 1100;
    public static final int UI_PRIORITY = 2000;

    public String mRoomID;


    public int mPriority = 0;

    public RTCEventHandlerWrap(String roomID, int priority){
        mRoomID = roomID;
        mPriority = priority;
    }

    @Override
    public int compareTo(RTCEventHandlerWrap o) {
        return this.mPriority - o.mPriority;
    }


}
