package im.zego.enjoycommon.log;

import android.util.Log;

public class L {


    public static void i(String tag, String msg, Object... args){
        try {
            Log.i(tag, String.format(msg, args));
        }catch (Exception e){
            Log.i(tag, msg);
        }
    }

    public static void v(String tag, String msg, Object... args){
        try {
            Log.v(  tag,  String.format(msg, args));
        }catch (Exception e){
            Log.v(tag, msg);
        }
    }


    public static void d(String tag, String msg, Object... args){
        try {
            Log.d(  tag,  String.format(msg, args));
        }catch (Exception e){
            Log.d(tag, msg);
        }
    }

    public static void w(String tag, String msg, Object... args){
        try {
            Log.w(  tag,  String.format(msg, args));
        }catch (Exception e) {
            Log.w(tag, msg);
        }
    }


    public static void e(String tag, String msg, Object... args){
        try {
            Log.e(  tag,  String.format(msg, args));
        }catch (Exception e) {
            Log.e(tag, msg);
        }
    }



}
